## insserv 1.04.0

=== Makefile ===
#
# Makefile for compiling insserv tool
#
# Author: Werner Fink,  <werner@suse.de>
#

INITDIR  =	/etc/init.d
#INITDIR  =	/sbin/init.d
INSCONF  =	/etc/insserv.conf
#DESTDIR =	/tmp/root
#DEBUG	 =	-DDEBUG=1
#LOOPS	 =	-DIGNORE_LOOPS=1
DEBUG	 =
ISSUSE	 =	-DSUSE
DESTDIR	 =
VERSION	 =	1.04.0
DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')

#
# Architecture
#
	   ARCH = $(shell uname -m | sed 's@\(i\)[34567]\(86\)@\13\2@')
#
# egcs used with -O2 includes -fno-force-mem which is/was buggy (1998/10/08)
#
ifdef RPM_OPT_FLAGS
	  COPTS = -g $(RPM_OPT_FLAGS)
else
ifeq ($(ARCH),i386)
	  COPTS = -O2 -mcpu=i486 -fomit-frame-pointer -fschedule-insns2
else
	  COPTS = -O2 -fomit-frame-pointer -fschedule-insns2
endif
endif
	 CFLAGS = -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
	  CLOOP = -funroll-loops
	     CC = gcc
	     RM = rm -f
	  MKDIR = mkdir -p
	  RMDIR = rm -rf
   INSTBINFLAGS = -s -m 0700
	INSTBIN = install $(INSTBINFLAGS)
   INSTSRPFLAGS = -m 0700
	INSTSRP = install $(INSTSRPFLAGS)
   INSTDOCFLAGS = -c -m 0444
	INSTDOC = install $(INSTDOCFLAGS)
   INSTCONFLAGS = -c -m 0644
	INSTCON = install $(INSTDOCFLAGS)
	   LINK = ln -sf

#
	SDOCDIR = $(DESTDIR)/usr/share/man/man8
	SBINDIR = $(DESTDIR)/sbin
	CONFDIR = $(DESTDIR)/etc
	 LSBDIR = $(DESTDIR)/lib/lsb
      USRLSBDIR = $(DESTDIR)/usr/lib/lsb
#
#
#
TODO	=	insserv

all: $(TODO)

listing.o:	listing.c listing.h
	$(CC) $(CFLAGS) $(CLOOP) -c $<

insserv:	insserv.c listing.o
	$(CC) $(CFLAGS) $(CLOOP) -o $@ $^

clean:
	$(RM) *.o *~ insserv .depend.*

install:	$(TODO)
	$(MKDIR)   $(SBINDIR)
	$(MKDIR)   $(SDOCDIR)
	$(MKDIR)   $(CONFDIR)
	$(MKDIR)   $(LSBDIR)
	$(MKDIR)   $(DESTDIR)/usr/lib
	$(MKDIR)   $(USRLSBDIR)
	$(INSTBIN) insserv        $(SBINDIR)/
	$(INSTDOC) insserv.8      $(SDOCDIR)/
	$(INSTCON) insserv.conf   $(CONFDIR)/
	$(INSTCON) init-functions $(LSBDIR)/
	$(INSTSRP) install_initd  $(USRLSBDIR)/
	$(INSTSRP) remove_initd   $(USRLSBDIR)/

#
# Make distribution
#
FILES	= README         \
	  COPYING        \
	  CHANGES        \
	  Makefile       \
	  listing.c      \
	  listing.h      \
	  insserv.8      \
	  insserv.c      \
	  insserv.conf   \
	  init-functions \
	  remove_initd   \
	  install_initd  \
	  insserv-$(VERSION).lsm

dest:
	$(MKDIR) insserv-$(VERSION)
	@echo -e 'Begin3\n\
Title:		insserv tool for boot scripts\n\
Version:	$(VERSION)\n\
Entered-date:	$(DATE)\n\
Description:	Used for enabling of installed boot scripts\n\
x 		by scanning comment headers which are LSB conform.\n\
Keywords:	boot service control, LSB\n\
Author:		Werner Fink <werner@suse.de>\n\
Maintained-by:	Werner Fink <werner@suse.de>\n\
Primary-site:	sunsite.unc.edu /pub/Linux/system/daemons/init\n\
x		@UNKNOWN insserv-$(VERSION).tar.gz\n\
Alternate-site:	ftp.suse.com /pub/projects/init\n\
Platforms:	Linux with System VR2 or higher boot scheme\n\
Copying-policy:	GPL\n\
End' | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
	cp $(FILES) insserv-$(VERSION)
	tar -c -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
	$(RMDIR)    insserv-$(VERSION)
	set -- `gzip -l insserv-$(VERSION).tar.gz | tail -1` ; \
	sed "s:@UNKNOWN:$$1:" < insserv-$(VERSION).lsm > \
	insserv-$(VERSION).lsm.tmp ; \
	mv insserv-$(VERSION).lsm.tmp insserv-$(VERSION).lsm

## insserv 1.08.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.04.0
+VERSION	 =	1.08.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #

## insserv 1.10.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.08.0
+VERSION	 =	1.10.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #
@@ -39,7 +39,7 @@
 	     RM = rm -f
 	  MKDIR = mkdir -p
 	  RMDIR = rm -rf
-   INSTBINFLAGS = -s -m 0700
+   INSTBINFLAGS = -m 0700
 	INSTBIN = install $(INSTBINFLAGS)
    INSTSRPFLAGS = -m 0700
 	INSTSRP = install $(INSTSRPFLAGS)

## insserv 1.11.0

=== Makefile ===
--- 
+++ 
@@ -5,36 +5,32 @@
 #
 
 INITDIR  =	/etc/init.d
-#INITDIR  =	/sbin/init.d
 INSCONF  =	/etc/insserv.conf
 #DESTDIR =	/tmp/root
-#DEBUG	 =	-DDEBUG=1
+#DEBUG	 =	-DDEBUG=1 -Wpacked
 #LOOPS	 =	-DIGNORE_LOOPS=1
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.10.0
+VERSION	 =	1.11.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #
 # Architecture
 #
-	   ARCH = $(shell uname -m | sed 's@\(i\)[34567]\(86\)@\13\2@')
-#
-# egcs used with -O2 includes -fno-force-mem which is/was buggy (1998/10/08)
-#
 ifdef RPM_OPT_FLAGS
 	  COPTS = -g $(RPM_OPT_FLAGS)
 else
+	   ARCH = $(shell uname -i)
 ifeq ($(ARCH),i386)
-	  COPTS = -O2 -mcpu=i486 -fomit-frame-pointer -fschedule-insns2
+	  COPTS = -O2 -mcpu=i586 -mtune=i686
 else
-	  COPTS = -O2 -fomit-frame-pointer -fschedule-insns2
+	  COPTS = -O2
 endif
 endif
 	 CFLAGS = -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
 		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
-	  CLOOP = -funroll-loops
+	  CLOOP = -falign-loops=0
 	     CC = gcc
 	     RM = rm -f
 	  MKDIR = mkdir -p
@@ -48,7 +44,6 @@
    INSTCONFLAGS = -c -m 0644
 	INSTCON = install $(INSTDOCFLAGS)
 	   LINK = ln -sf
-
 #
 	SDOCDIR = $(DESTDIR)/usr/share/man/man8
 	SBINDIR = $(DESTDIR)/sbin
@@ -58,32 +53,61 @@
 #
 #
 #
-TODO	=	insserv
+TODO	=	insserv insserv.8
 
 all: $(TODO)
 
-listing.o:	listing.c listing.h
+listing.o:	listing.c listing.h .system
 	$(CC) $(CFLAGS) $(CLOOP) -c $<
 
-insserv:	insserv.c listing.o
-	$(CC) $(CFLAGS) $(CLOOP) -o $@ $^
+insserv.o:	insserv.c listing.h .system
+	$(CC) $(CFLAGS) $(CLOOP) -c $<
+
+insserv:	insserv.o listing.o
+	$(CC) $(CFLAGS) -Wl,-O,3,--relax -o $@ $^
+
+ifeq ($(ISSUSE),-DSUSE)
+insserv.8:	insserv.8.in .system
+	sed -r '\!@@(ELSE|NOT)_SUSE@@!,\!@@END_SUSE@@!d;\!@@(BEGIN|END)_SUSE@@!d' < $< > $@
+else
+insserv.8:	insserv.8.in .system
+	sed -r '\!@@BEGIN_SUSE@@!,\!@@(ELSE|END)_SUSE@@!d;\!@@(NOT|END)_SUSE@@!d' < $< > $@
+endif
+
+.system:	SYSTEM=$(shell cat .system 2> /dev/null)
+.system:	.force
+	@test "$(SYSTEM)" = "$(ISSUSE)$(DEBUG)" || echo "$(ISSUSE)$(DEBUG)" > .system
+
+.force:
 
 clean:
-	$(RM) *.o *~ insserv .depend.*
+	$(RM) *.o *~ $(TODO) .depend.*
+
+-include .depend.listing .depend.insserv
+
+.depend.listing:
+	@$(CC) $(CFLAGS) -M listing.c >$@ 2>/dev/null
+
+.depend.insserv:
+	@$(CC) $(CFLAGS) -M insserv.c >$@ 2>/dev/null
 
 install:	$(TODO)
 	$(MKDIR)   $(SBINDIR)
 	$(MKDIR)   $(SDOCDIR)
 	$(MKDIR)   $(CONFDIR)
+ifeq ($(ISSUSE),-DSUSE)
 	$(MKDIR)   $(LSBDIR)
 	$(MKDIR)   $(DESTDIR)/usr/lib
 	$(MKDIR)   $(USRLSBDIR)
+endif
 	$(INSTBIN) insserv        $(SBINDIR)/
 	$(INSTDOC) insserv.8      $(SDOCDIR)/
 	$(INSTCON) insserv.conf   $(CONFDIR)/
+ifeq ($(ISSUSE),-DSUSE)
 	$(INSTCON) init-functions $(LSBDIR)/
 	$(INSTSRP) install_initd  $(USRLSBDIR)/
 	$(INSTSRP) remove_initd   $(USRLSBDIR)/
+endif
 
 #
 # Make distribution
@@ -94,7 +118,7 @@
 	  Makefile       \
 	  listing.c      \
 	  listing.h      \
-	  insserv.8      \
+	  insserv.8.in   \
 	  insserv.c      \
 	  insserv.conf   \
 	  init-functions \
@@ -119,8 +143,8 @@
 Platforms:	Linux with System VR2 or higher boot scheme\n\
 Copying-policy:	GPL\n\
 End' | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
-	cp $(FILES) insserv-$(VERSION)
-	tar -c -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
+	cp -p $(FILES) insserv-$(VERSION)/
+	tar -cps -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
 	$(RMDIR)    insserv-$(VERSION)
 	set -- `gzip -l insserv-$(VERSION).tar.gz | tail -1` ; \
 	sed "s:@UNKNOWN:$$1:" < insserv-$(VERSION).lsm > \

## insserv 1.12.0

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,10 @@
 INSCONF  =	/etc/insserv.conf
 #DESTDIR =	/tmp/root
 #DEBUG	 =	-DDEBUG=1 -Wpacked
-#LOOPS	 =	-DIGNORE_LOOPS=1
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.11.0
+VERSION	 =	1.12.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #
@@ -23,14 +22,21 @@
 else
 	   ARCH = $(shell uname -i)
 ifeq ($(ARCH),i386)
-	  COPTS = -O2 -mcpu=i586 -mtune=i686
+	  COPTS = -g -O3 -mcpu=i586 -mtune=i686
 else
-	  COPTS = -O2
+	  COPTS = -g -O2
 endif
 endif
-	 CFLAGS = -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
+	 CFLAGS = -W -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
 		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
 	  CLOOP = -falign-loops=0
+	LDFLAGS = -Wl,-O,3,--relax
+	   LIBS =
+ifdef USE_RPMLIB
+	 CFLAGS += -DUSE_RPMLIB=1
+	LDFLAGS += -Wl,--as-needed
+	   LIBS += -lrpm
+endif
 	     CC = gcc
 	     RM = rm -f
 	  MKDIR = mkdir -p
@@ -50,21 +56,44 @@
 	CONFDIR = $(DESTDIR)/etc
 	 LSBDIR = $(DESTDIR)/lib/lsb
       USRLSBDIR = $(DESTDIR)/usr/lib/lsb
+
 #
+# Determine if a library provides a specific function
+# Fist argument is the function to test, the second
+# one is the library its self.
 #
+	  CTEST = $(CC) -nostdinc -fno-builtin -o /dev/null -xc
+    cc-function = $(shell printf 'void *$(1)();\nint main(){return($(1)(0)?0:1);}'|$(CTEST) - -l$(2:lib%=%) > /dev/null 2>&1 && echo $(1))
+
 #
+# The rules
+#
+
 TODO	=	insserv insserv.8
 
-all: $(TODO)
+all:		$(TODO)
 
-listing.o:	listing.c listing.h .system
+insserv:	insserv.o listing.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+listing.o:	listing.c listing.h config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) -c $<
 
-insserv.o:	insserv.c listing.h .system
+insserv.o:	insserv.c listing.h config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) -c $<
 
-insserv:	insserv.o listing.o
-	$(CC) $(CFLAGS) -Wl,-O,3,--relax -o $@ $^
+listing.h:	.system
+
+config.h:	ADRESSES  = ^\#\s*if\s+defined\(HAS_[[:alnum:]_]+\)\s+&&\s+defined\(_ATFILE_SOURCE\)
+config.h:	FUNCTIONS = $(shell sed -rn '/$(ADRESSES)/{ s/.*defined\(HAS_([[:alnum:]_]+)\).*/\1/p; }' listing.h)
+config.h:	listing.h
+	@echo '/* Generated automatically by running make -- do not edit */'  > config.h
+	@echo '#ifndef CONFIG_H' >> config.h
+	@echo '#define CONFIG_H' >> config.h
+	@for def in $(foreach func,$(FUNCTIONS),$(call cc-function,$(func),libc)); do \
+	    echo "#define HAS_$$def"; \
+	 done >> config.h
+	@echo '#endif' >> config.h
 
 ifeq ($(ISSUSE),-DSUSE)
 insserv.8:	insserv.8.in .system
@@ -80,16 +109,21 @@
 
 .force:
 
+.PHONY:		clean
 clean:
-	$(RM) *.o *~ $(TODO) .depend.*
+	$(RM) *.o *~ $(TODO) config.h .depend.* .system
 
--include .depend.listing .depend.insserv
+ifneq ($(MAKECMDGOALS),clean)
 
-.depend.listing:
+-include	.depend.listing .depend.insserv
+
+.depend.listing::	listing.c listing.h
 	@$(CC) $(CFLAGS) -M listing.c >$@ 2>/dev/null
 
-.depend.insserv:
+.depend.insserv::	insserv.c listing.h
 	@$(CC) $(CFLAGS) -M insserv.c >$@ 2>/dev/null
+
+endif
 
 install:	$(TODO)
 	$(MKDIR)   $(SBINDIR)
@@ -124,11 +158,12 @@
 	  init-functions \
 	  remove_initd   \
 	  install_initd  \
+	  tests/suite    \
 	  insserv-$(VERSION).lsm
 
-dest:
-	$(MKDIR) insserv-$(VERSION)
-	@echo -e 'Begin3\n\
+dest:	clean
+	$(MKDIR) insserv-$(VERSION)/tests
+	@echo -e "Begin3\n\
 Title:		insserv tool for boot scripts\n\
 Version:	$(VERSION)\n\
 Entered-date:	$(DATE)\n\
@@ -142,8 +177,13 @@
 Alternate-site:	ftp.suse.com /pub/projects/init\n\
 Platforms:	Linux with System VR2 or higher boot scheme\n\
 Copying-policy:	GPL\n\
-End' | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
-	cp -p $(FILES) insserv-$(VERSION)/
+End" | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
+	for file in $(FILES) ; do \
+	    case "$$file" in \
+	    tests/*) cp -p $$file insserv-$(VERSION)/tests/ ;; \
+	    *)	     cp -p $$file insserv-$(VERSION)/ ;; \
+	    esac; \
+	done
 	tar -cps -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
 	$(RMDIR)    insserv-$(VERSION)
 	set -- `gzip -l insserv-$(VERSION).tar.gz | tail -1` ; \

## insserv 1.14.0

=== debian/changelog ===
insserv (1.14.0-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/postinst: Run insserv after package installation, to fix up the
    rc?.d priorities from the dumb update-rc.d fallback (which uses priority
    01 for everything). (Closes: #830963)

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Jul 2016 12:40:50 +0200

insserv (1.14.0-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not suppress warnings on force mode
    (Closes: #811441)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 22 Feb 2016 21:22:07 -0300

insserv (1.14.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on hurd. (Closes: #812898)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 27 Jan 2016 18:43:02 +0100

insserv (1.14.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-5, using Mohit Bhakkad's version of the patch that
    handles clang as well. (Closes: #777914)
  * Remove DM-Upload-Allowed.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Jan 2016 13:52:27 +0100

insserv (1.14.0-5) unstable; urgency=low

  * Add +mountall-bootclean to $local_fs virtual facility definition in
    insserv.conf. (Closes: #693371)
  * Add test_bootmisc_order test to suite to verify the mountall-bootclean
    dependency works as expected.

 -- Kel Modderman <kel@otaku42.de>  Sun, 18 Nov 2012 11:55:44 +1000

insserv (1.14.0-4) unstable; urgency=low

  * Provide machine parseable output which may be used by file-rc to calculate
    dynamic sequence number for each script. (Closes: #573004)
  * Use "overrides" instead of "overwrites" and define defaults as "LSB
    defaults" when emitting warnings. (Closes: #668559)
  * Remove upstart jobs created by test_insserv_upstart at end of test.
  * Remove config snippets made by test_local_virtual at end of test.

 -- Kel Modderman <kel@otaku42.de>  Thu, 05 Jul 2012 21:13:26 +1000

insserv (1.14.0-3) unstable; urgency=low

  * Acknowledge NMUs, thanks Christian & Luk.
  * Use source format 3.0 (quilt), drop build dependency on quilt.
    Remove debian/README.source.
  * Use dh at compat level 8, significantly reduce debian/rules and
    build depend on debhelper >= 8.
  * Use dh_bash-completion dh sequence utility to install completion
    snippet, rename snippet to debian/insserv.bash-completion and build
    depend on bash-completion.
  * Use dpkg-buildflags to set default CFLAGS & LDFLAGS and get noopt
    handling for free. 130_crossbuild_fixes.patch allows upstream
    Makefile defaults for COPTS, LDFLAGS & CC to be overridden by the
    environment variables exported by debian/rules. Also decouple `make
    check' from `make install' to ease cross building. Set & export CC
    environment variable in debian/rules to (hopefully) allow cross
    building. (Closes: #629540, #629539, #666212)
  * Patch upstream Makefile to execute Debian testsuite instead of
    common suite.
  * Update to Standards-Version 3.9.3, no changes in policy warranted
    changes in packaging.
  * Refresh patch series.
  * Suggest the actively maintained bootchart2 instead of the doormant
    bootchart package. (Closes: #599012)
  * Update insserv package description. (Closes: #549327)
  * Undocument the CONCURRENCY feature and add a reference to a modern
    discussion about the status of init systems in Debian. (Closes: #605368)
  * Add test_invalid_core_string to test conditions described in
    #611292.
  * Correctly quote here statements in test_undetected_loop with non-
    interpolating quotation marks. Make test unconditionally fatal now
    that test is not incorrectly interpolating $local_fs in script headers.
  * Add 150_core_string_test.patch from Ben Harris <bjh21@cam.ac.uk> to
    fix inconsistent filtering of core dumps. (Closes: #611292)
  * Fix manual page reference to init(8). (Closes: #634150)
  * Purge update-rc.d-insserv & update-bootsystem-insserv as per
    Petter's advice in changelog entry for version 1.12.0-11. sysv-rc >>
    2.87dsf-2 takes care of all that stuff now.
  * No longer provide LSB dependency overrides for obsolete (etch or
    before) packages such as hotplug, modutils, initrd-tools and devfsd.
    (Closes: #545164, #545165, #545166, #545169)
  * Mention when insserv should (not) be used and how update-rc.d is
    almost always the interface you want to use. (Closes: #566352)
  * Use the package short summary in the manual page too, it mentions
    the keyword "dependency". (Closes: #609655)
  * Update debian/watch file for savannah.gnu.org sysvinit project site.

 -- Kel Modderman <kel@otaku42.de>  Mon, 09 Apr 2012 23:08:25 +1000

insserv (1.14.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #619657
    - Slovak (Slavko).  Closes: #641960
    - Bokmål, (Bjørn Steensrud).  Closes: #654871

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Jan 2012 08:11:26 +0100

insserv (1.14.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop definition of $portmap (Closes: #564501).
  * Add unbound to definition of $named (Closes: #602901).

 -- Luk Claes <luk@debian.org>  Sat, 19 Mar 2011 12:48:34 +0100

insserv (1.14.0-2) unstable; urgency=low

  [ Kel Modderman ]
  * Add 21_tweak_warnings.patch to make insserv warn about differing on
    disk state/LSB runlevel info for the script(s) in its argument list.
    (Closes: #578308)
  * Add 100_show.patch which allows insserv --showall to dump start/stop
    bit, sequence number, runlevels and script name in the format:
    SK:NUM:RUNLEVELS:SCRIPT. It is commented out in quilt series file
    until confirmation from #573004 that it is actually useful.
  * Add 30_interactive_regexp_match_fix.patch which fixes failure to
    properly match the correct group in the regular expression used on
    the X-Interactive keyword. (Closes: #580564)
  * Modify 92_m68k_alignment.patch so that the define is grouped in an


=== debian/control ===
Source: insserv
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Kel Modderman <kel@otaku42.de>
Build-Depends: debhelper (>= 8), po-debconf, bash-completion
Standards-Version: 3.9.3
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Svn: svn://svn.debian.org/initscripts-ng/trunk/src/insserv
Vcs-Browser: http://svn.debian.org/wsvn/initscripts-ng/trunk/src/insserv/

Package: insserv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bootchart2
Breaks: sysv-rc (<< 2.87dsf-3)
Description: boot sequence organizer using LSB init.d script dependency information
 The insserv program is used by the standard SysV-based init system. It
 updates the order of symlinks in /etc/rc?.d/ based on dependencies
 specified by LSB headers in the init.d scripts themselves.
 .
 These declared relations between scripts make it possible to optimize
 the boot sequence for the currently installed set of packages, while
 detecting and rejecting dependency loops.
 .
 Using insserv incorrectly can result in an unbootable system.

=== debian/rules ===
#!/usr/bin/make -f

COPTS   = $(shell dpkg-buildflags --get CFLAGS)
COPTS  += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CC      = gcc

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

export COPTS LDFLAGS CC

%:
	dh $@ --with=bash-completion

## insserv 1.18.0

=== Makefile ===
--- 
+++ 
@@ -4,15 +4,18 @@
 # Author: Werner Fink,  <werner@suse.de>
 #
 
+PACKAGE	 =	insserv
 INITDIR  =	/etc/init.d
 INSCONF  =	/etc/insserv.conf
 #DESTDIR =	/tmp/root
 #DEBUG	 =	-DDEBUG=1 -Wpacked
 DEBUG	 =
-ISSUSE	 =	-DSUSE
+#ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.12.0
+VERSION	 =	1.18.0
+TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
+CFLDBUS	 =	$(shell pkg-config --cflags dbus-1)
 
 #
 # Architecture
@@ -27,9 +30,9 @@
 	  COPTS = -g -O2
 endif
 endif
-	 CFLAGS = -W -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
-		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
-	  CLOOP = -falign-loops=0
+	 CFLAGS = -W -Wall -Wunreachable-code $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
+		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe 
+	  CLOOP = # -falign-loops=0
 	LDFLAGS = -Wl,-O,3,--relax
 	   LIBS =
 ifdef USE_RPMLIB
@@ -37,18 +40,19 @@
 	LDFLAGS += -Wl,--as-needed
 	   LIBS += -lrpm
 endif
-	     CC = gcc
+	   LIBS += $(shell pkg-config --libs dbus-1)
+	     CC ?= gcc
 	     RM = rm -f
 	  MKDIR = mkdir -p
 	  RMDIR = rm -rf
-   INSTBINFLAGS = -m 0700
+   INSTBINFLAGS = -m 0755
 	INSTBIN = install $(INSTBINFLAGS)
-   INSTSRPFLAGS = -m 0700
+   INSTSRPFLAGS = -m 0755
 	INSTSRP = install $(INSTSRPFLAGS)
-   INSTDOCFLAGS = -c -m 0444
+   INSTDOCFLAGS = -c -m 0644
 	INSTDOC = install $(INSTDOCFLAGS)
    INSTCONFLAGS = -c -m 0644
-	INSTCON = install $(INSTDOCFLAGS)
+	INSTCON = install $(INSTCONFLAGS)
 	   LINK = ln -sf
 #
 	SDOCDIR = $(DESTDIR)/usr/share/man/man8
@@ -59,7 +63,7 @@
 
 #
 # Determine if a library provides a specific function
-# Fist argument is the function to test, the second
+# First argument is the function to test, the second
 # one is the library its self.
 #
 	  CTEST = $(CC) -nostdinc -fno-builtin -o /dev/null -xc
@@ -73,14 +77,20 @@
 
 all:		$(TODO)
 
-insserv:	insserv.o listing.o
+insserv:	insserv.o listing.o systemd.o map.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-listing.o:	listing.c listing.h config.h .system
-	$(CC) $(CFLAGS) $(CLOOP) -c $<
-
-insserv.o:	insserv.c listing.h config.h .system
-	$(CC) $(CFLAGS) $(CLOOP) -c $<
+listing.o:	listing.c insserv.c listing.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
+
+map.o:	map.c listing.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
+
+insserv.o:	insserv.c map.o listing.h systemd.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) insserv.c -c 
+
+systemd.o:	systemd.c map.o listing.h systemd.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
 
 listing.h:	.system
 
@@ -109,7 +119,8 @@
 
 .force:
 
-.PHONY:		clean
+.PHONY:		clean distclean
+distclean: clean
 clean:
 	$(RM) *.o *~ $(TODO) config.h .depend.* .system
 
@@ -125,7 +136,15 @@
 
 endif
 
-install:	$(TODO)
+check: insserv
+ifeq ($(ISSUSE),-DSUSE)
+	issuse=true tests/common
+#	issuse=true tests/suse
+else
+	tests/common
+endif
+
+install:	$(TODO) check
 	$(MKDIR)   $(SBINDIR)
 	$(MKDIR)   $(SDOCDIR)
 	$(MKDIR)   $(CONFDIR)
@@ -152,17 +171,23 @@
 	  Makefile       \
 	  listing.c      \
 	  listing.h      \
+	  systemd.c      \
+	  systemd.h      \
 	  insserv.8.in   \
 	  insserv.c      \
 	  insserv.conf   \
 	  init-functions \
+          map.c          \
 	  remove_initd   \
-	  install_initd  \
-	  tests/suite    \
-	  insserv-$(VERSION).lsm
-
-dest:	clean
-	$(MKDIR) insserv-$(VERSION)/tests
+	  install_initd 
+
+SVLOGIN=$(shell svn info | sed -rn '/Repository Root:/{ s|.*//(.*)\@.*|\1|p }')
+ifeq ($(MAKECMDGOALS),upload)
+override TMP:=$(shell mktemp -d $(PACKAGE)-$(VERSION).XXXXXXXX)
+override SFTPBATCH:=$(TMP)/$(VERSION)-sftpbatch
+override LSM=$(TMP)/$(PACKAGE)-$(VERSION).lsm
+
+$(LSM):	$(TMP)/$(PACKAGE)-$(VERSION)
 	@echo -e "Begin3\n\
 Title:		insserv tool for boot scripts\n\
 Version:	$(VERSION)\n\
@@ -172,21 +197,34 @@
 Keywords:	boot service control, LSB\n\
 Author:		Werner Fink <werner@suse.de>\n\
 Maintained-by:	Werner Fink <werner@suse.de>\n\
-Primary-site:	sunsite.unc.edu /pub/Linux/system/daemons/init\n\
-x		@UNKNOWN insserv-$(VERSION).tar.gz\n\
+Primary-site:	http://download.savannah.gnu.org/releases/sysvinit/\n\
+x		@UNKNOWN $(PACKAGE)-$(VERSION).tar.xz\n\
 Alternate-site:	ftp.suse.com /pub/projects/init\n\
 Platforms:	Linux with System VR2 or higher boot scheme\n\
 Copying-policy:	GPL\n\
-End" | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
-	for file in $(FILES) ; do \
-	    case "$$file" in \
-	    tests/*) cp -p $$file insserv-$(VERSION)/tests/ ;; \
-	    *)	     cp -p $$file insserv-$(VERSION)/ ;; \
-	    esac; \
-	done
-	tar -cps -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
-	$(RMDIR)    insserv-$(VERSION)
-	set -- `gzip -l insserv-$(VERSION).tar.gz | tail -1` ; \
-	sed "s:@UNKNOWN:$$1:" < insserv-$(VERSION).lsm > \
-	insserv-$(VERSION).lsm.tmp ; \
-	mv insserv-$(VERSION).lsm.tmp insserv-$(VERSION).lsm
+End" | sed 's@^ @@g;s@^x@@g' > $(LSM)
+
+dest: $(LSM)
+endif
+
+upload: $(SFTPBATCH)
+	@sftp -b $< $(SVLOGIN)@dl.sv.nongnu.org:/releases/sysvinit
+	mv $(TARBALL) $(LSM) .
+	rm -rf $(TMP)
+
+dist: $(TARBALL).sig
+
+
+$(TARBALL).sig: $(TARBALL)
+	@gpg -q -ba --use-agent -o $@ $<
+
+$(TARBALL): clean
+	mkdir -p insserv/tests
+	cp $(FILES) insserv/
+	cp tests/* insserv/tests/
+	@tar --xz --owner=nobody --group=nobody -cf $(TARBALL) insserv/
+	rm -rf insserv
+
+distclean: clean
+	rm -f $(TARBALL) $(TARBALL).sig
+

=== debian/changelog ===
insserv (1.18.0-2) unstable; urgency=medium

  * Apply patch to improve formatting and spelling of insserv(8) manual
    and refresh other patches accordingly (Closes: #919610)
    + Thanks: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
  * Update standards version to 4.3.0 (no changes needed)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 20 Jan 2019 21:12:05 +0000

insserv (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * Update `debian/watch':
    + match `xz' upstream archives
    + bump uscan compat version to 4
    + use secure protocol
  * Update and refresh patches
    + Drop `10_nosuse.patch' -- upstream now have -DSUSE commented-out
    + Drop `30_interactive_regexp_match_fix.patch' -- applied upstream
    + Refresh `21_tweak_warnings.patch'
    + Refresh `92_m68k_alignment.patch'
    + Drop `100_show.patch' -- upstream accepted `--showall' option
    + Refresh `130_crossbuild_fixes.patch'
    + Refresh `140_debian_test_suite.patch'
    + Refresh `150_core_string_test.patch'
    + Refresh `160_manual_page_update.patch'
    + Refresh `180_MAXSYMLINKS.patch'
    + Refresh `warn_in_ignore_mode.patch'
  * Add patch to disable systemd integration and remove dbus dependency
  * Drop failing test, concerning script with no LSB header.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/run-testsuite
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Set mailing list to Maintainer field, add myself to Uploaders list
  * Do not create obsolete `/etc/bash_completion.d'
  * Do not use absolute path to commands in maintainer script
  * Do not set dpkg-architecture variables in `debian/rules'. They
    are managed as apporiate by debhelper.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 12 Dec 2018 22:32:47 +0000

=== debian/control ===
Source: insserv
Section: misc
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Kel Modderman <kel@otaku42.de>,
 Dmitry Bogatov <KAction@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 11),
 po-debconf,
Standards-Version: 4.3.0
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Browser: https://salsa.debian.org/debian/insserv
Vcs-Git: https://salsa.debian.org/debian/insserv.git

Package: insserv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bootchart2,
Breaks:
 sysv-rc (<< 2.87dsf-3),
Description: boot sequence organizer using LSB init.d script dependency information
 The insserv program is used by the standard SysV-based init system. It
 updates the order of symlinks in /etc/rc?.d/ based on dependencies
 specified by LSB headers in the init.d scripts themselves.
 .
 These declared relations between scripts make it possible to optimize
 the boot sequence for the currently installed set of packages, while
 detecting and rejecting dependency loops.
 .
 Using insserv incorrectly can result in an unbootable system.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

%:
	dh $@ --with=bash-completion

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4

https://download.savannah.gnu.org/releases/sysvinit/insserv-([0-9\.]+)@ARCHIVE_EXT@ debian uupdate

## insserv 1.21.0

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,10 @@
 INSCONF  =	/etc/insserv.conf
 #DESTDIR =	/tmp/root
 #DEBUG	 =	-DDEBUG=1 -Wpacked
-DEBUG	 =
+DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.18.0
+VERSION	 =	1.21.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 CFLDBUS	 =	$(shell pkg-config --cflags dbus-1)
@@ -27,13 +27,13 @@
 ifeq ($(ARCH),i386)
 	  COPTS = -g -O3 -mcpu=i586 -mtune=i686
 else
-	  COPTS = -g -O2
+	  COPTS ?= -g -O2
 endif
 endif
 	 CFLAGS = -W -Wall -Wunreachable-code $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
 		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe 
 	  CLOOP = # -falign-loops=0
-	LDFLAGS = -Wl,-O,3,--relax
+	LDFLAGS ?= -Wl,-O,3,--relax
 	   LIBS =
 ifdef USE_RPMLIB
 	 CFLAGS += -DUSE_RPMLIB=1
@@ -113,17 +113,23 @@
 	sed -r '\!@@BEGIN_SUSE@@!,\!@@(ELSE|END)_SUSE@@!d;\!@@(NOT|END)_SUSE@@!d' < $< > $@
 endif
 
-.system:	SYSTEM=$(shell cat .system 2> /dev/null)
-.system:	.force
-	@test "$(SYSTEM)" = "$(ISSUSE)$(DEBUG)" || echo "$(ISSUSE)$(DEBUG)" > .system
+ifneq ($(shell cat .system 2>/dev/null),$(ISSUSE)$(DEBUG))
+.system-changed = yes
+endif
+.system:	$(if $(.system-changed),.force)
+	@echo "$(ISSUSE)$(DEBUG)" > .system
 
 .force:
 
-.PHONY:		clean distclean
-distclean: clean
 clean:
 	$(RM) *.o *~ $(TODO) config.h .depend.* .system
 
+distclean: clean
+	rm -f $(TARBALL) $(TARBALL).sig
+	rm -f insserv
+	rm -rf tests/root
+
+
 ifneq ($(MAKECMDGOALS),clean)
 
 -include	.depend.listing .depend.insserv
@@ -137,14 +143,16 @@
 endif
 
 check: insserv
+	rm -rf tests/root/
 ifeq ($(ISSUSE),-DSUSE)
 	issuse=true tests/common
 #	issuse=true tests/suse
 else
-	tests/common
-endif
-
-install:	$(TODO) check
+	cd tests && ./common
+	cd tests && severity=check ./run-testsuite
+endif
+
+install:	$(TODO) 
 	$(MKDIR)   $(SBINDIR)
 	$(MKDIR)   $(SDOCDIR)
 	$(MKDIR)   $(CONFDIR)
@@ -155,7 +163,9 @@
 endif
 	$(INSTBIN) insserv        $(SBINDIR)/
 	$(INSTDOC) insserv.8      $(SDOCDIR)/
-	$(INSTCON) insserv.conf   $(CONFDIR)/
+	# Only install configuration file if it does not exist. Do not overwrite distro config.
+	if [ -f $(CONFDIR)/insserv.conf ]; then $(INSTCON) insserv.conf $(CONFDIR)/insserv.conf.sample ; fi
+	if [ ! -f $(CONFDIR)/insserv.conf ] ; then $(INSTCON) insserv.conf $(CONFDIR)/ ; fi
 ifeq ($(ISSUSE),-DSUSE)
 	$(INSTCON) init-functions $(LSBDIR)/
 	$(INSTSRP) install_initd  $(USRLSBDIR)/
@@ -213,18 +223,15 @@
 	rm -rf $(TMP)
 
 dist: $(TARBALL).sig
-
+	$(RM) -rf insserv/
 
 $(TARBALL).sig: $(TARBALL)
 	@gpg -q -ba --use-agent -o $@ $<
 
-$(TARBALL): clean
+$(TARBALL): distclean
 	mkdir -p insserv/tests
 	cp $(FILES) insserv/
 	cp tests/* insserv/tests/
 	@tar --xz --owner=nobody --group=nobody -cf $(TARBALL) insserv/
 	rm -rf insserv
 
-distclean: clean
-	rm -f $(TARBALL) $(TARBALL).sig
-

=== debian/changelog ===
insserv (1.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Apply patches from Trek to only check LSB headers for overlapping
    run-levels and document Default-{Start,Stop} more clearly
    (Closes: #971713)

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 17:13:07 +0000

insserv (1.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 28 Sep 2019 00:02:45 +0000

insserv (1.21.0~beta-1) unstable; urgency=medium

  * New upstream release (Closes: #633858)
  * Refresh patches
  * Fix spelling error in manpage

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 26 Aug 2019 22:13:17 +0000

insserv (1.20.0-2) unstable; urgency=medium

  * [233d6578] Fix spurious warnings about unknown virtual dependencies
    (Closes: #932199)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 19 Jul 2019 14:56:05 +0000

insserv (1.20.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #544229)
  * Upload to unstable.
  * [ed123226] Drop 170_undeclared_extension.patch
  * [a7b8f47b] Update debhelper compat to 12
  * [d868be3c] Update standards version to 4.4.0 (no changes needed)
  * [f5bbe191] Include 'pdns-recursor' into $named virtual facility
    (Closes: #833126)
  * [d7635e47] Remove /etc/init.d/.depend.* files on purge (Closes: #864279)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 14 Jul 2019 15:16:37 +0000

insserv (1.20.0~beta2-1) experimental; urgency=medium

  * New upstream release
    (Closes: #573571, #775912, #661314, #547717, #547609, #601054, #538304, #926547, #622878)
  * Drop patches, applied upstream; refresh rest. Patches applied upstream:
    + 92_m68k_alignment.patch
    + 130_crossbuild_fixes.patch
    + 150_core_string_test.patch
    + 21_tweak_warnings.patch
    + 180_MAXSYMLINKS.patch
    + remove-systemd-integration.patch
    + 160_manual_page_update.patch
    + 140_debian_test_suite.patch
    + 20_manpage_spelling.patch
    + fix-manpage-formatting.patch

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 15 Jun 2019 01:20:11 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Petter Reinholdtsen <pere@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  po-debconf,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://savannah.nongnu.org/projects/sysvinit
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git

## insserv 1.23.0

=== Makefile ===
--- 
+++ 
@@ -12,26 +12,34 @@
 DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.21.0
+VERSION	 =	1.23.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
+PREFIX   ?=	/usr
+ifdef WANT_SYSTEMD
 CFLDBUS	 =	$(shell pkg-config --cflags dbus-1)
+else
+CFLDBUS  =
+endif
 
 #
 # Architecture
 #
 ifdef RPM_OPT_FLAGS
-	  COPTS = -g $(RPM_OPT_FLAGS)
+	  COPTS = $(RPM_OPT_FLAGS)
 else
 	   ARCH = $(shell uname -i)
 ifeq ($(ARCH),i386)
-	  COPTS = -g -O3 -mcpu=i586 -mtune=i686
-else
-	  COPTS ?= -g -O2
+	  COPTS = -O3 -mcpu=i586 -mtune=i686
+else
+	  COPTS ?= -O2
 endif
 endif
 	 CFLAGS = -W -Wall -Wunreachable-code $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
-		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe 
+		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
+ifdef WANT_SYSTEMD
+	 CFLAGS += -DWANT_SYSTEMD=1
+endif
 	  CLOOP = # -falign-loops=0
 	LDFLAGS ?= -Wl,-O,3,--relax
 	   LIBS =
@@ -40,7 +48,9 @@
 	LDFLAGS += -Wl,--as-needed
 	   LIBS += -lrpm
 endif
+ifdef WANT_SYSTEMD
 	   LIBS += $(shell pkg-config --libs dbus-1)
+endif
 	     CC ?= gcc
 	     RM = rm -f
 	  MKDIR = mkdir -p
@@ -55,11 +65,11 @@
 	INSTCON = install $(INSTCONFLAGS)
 	   LINK = ln -sf
 #
-	SDOCDIR = $(DESTDIR)/usr/share/man/man8
-	SBINDIR = $(DESTDIR)/sbin
+	SDOCDIR = $(DESTDIR)$(PREFIX)/share/man/man8
+	SBINDIR = $(DESTDIR)$(PREFIX)/sbin
 	CONFDIR = $(DESTDIR)/etc
 	 LSBDIR = $(DESTDIR)/lib/lsb
-      USRLSBDIR = $(DESTDIR)/usr/lib/lsb
+      USRLSBDIR = $(DESTDIR)$(PREFIX)/lib/lsb
 
 #
 # Determine if a library provides a specific function
@@ -73,11 +83,16 @@
 # The rules
 #
 
+ifdef WANT_SYSTEMD
+SYSTEMD_O = systemd.o
+SYSTEMD_H = systemd.h
+endif
+
 TODO	=	insserv insserv.8
 
 all:		$(TODO)
 
-insserv:	insserv.o listing.o systemd.o map.o
+insserv:	insserv.o listing.o ${SYSTEMD_O} map.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 listing.o:	listing.c insserv.c listing.h config.h .system
@@ -86,11 +101,13 @@
 map.o:	map.c listing.h config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
 
-insserv.o:	insserv.c map.o listing.h systemd.h config.h .system
+insserv.o:	insserv.c map.o listing.h ${SYSTEMD_H} config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) insserv.c -c 
 
+ifdef WANT_SYSTEMD
 systemd.o:	systemd.c map.o listing.h systemd.h config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
+endif
 
 listing.h:	.system
 
@@ -191,11 +208,11 @@
 	  remove_initd   \
 	  install_initd 
 
-SVLOGIN=$(shell svn info | sed -rn '/Repository Root:/{ s|.*//(.*)\@.*|\1|p }')
 ifeq ($(MAKECMDGOALS),upload)
 override TMP:=$(shell mktemp -d $(PACKAGE)-$(VERSION).XXXXXXXX)
 override SFTPBATCH:=$(TMP)/$(VERSION)-sftpbatch
 override LSM=$(TMP)/$(PACKAGE)-$(VERSION).lsm
+GITLOGIN=$(shell git remote -v | head -n 1 | cut -f 1 -d '@' | sed 's/origin\t//g')
 
 $(LSM):	$(TMP)/$(PACKAGE)-$(VERSION)
 	@echo -e "Begin3\n\
@@ -218,7 +235,7 @@
 endif
 
 upload: $(SFTPBATCH)
-	@sftp -b $< $(SVLOGIN)@dl.sv.nongnu.org:/releases/sysvinit
+	@sftp -b $< $(GITLOGIN)@dl.sv.nongnu.org:/releases/sysvinit
 	mv $(TARBALL) $(LSM) .
 	rm -rf $(TMP)

=== debian/changelog ===
insserv (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0.
     - includes support for OpenRC scripts (Closes: #962412).
  * d/control:
     - add myself to Uploaders.
     - remove retired Uploaders (Closes: #910797)
     - update to Standards Version 4.6.0 (no changes)
  * d/patches:
    - remove patches-from-trek-closes-971713.patch applied upstream.
    - Refresh patches.
    - New patch to keep /sbin/insserv and /lib/lsb/ in / despite
      upstream now using PREFIX.
  * Remove obsolete /etc/bash_completion.d/insserv conffile (Closes: #868103).

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 12:57:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
- Kel Modderman <kel@otaku42.de>,
- Dmitry Bogatov <KAction@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
+ Mark Hindley <leepen@debian.org>,
 Build-Depends:
  bash-completion,
  debhelper-compat (= 12),
  po-debconf,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: http://savannah.nongnu.org/projects/sysvinit
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="pgpmode=auto,uversionmangle=s/-beta/~beta/" \
https://download.savannah.gnu.org/releases/sysvinit/insserv-([0-9\.]+(?:-beta[0-9]?)?)@ARCHIVE_EXT@ debian uupdate

## insserv 1.24.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.23.0
+VERSION	 =	1.24.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 PREFIX   ?=	/usr

=== debian/changelog ===
insserv (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Update upstream URLs after move to GitHub.
  * Remove old savannah upstream source signing key.
  * d/README.Debian:
    - Update LSB reference URL.
    - Remove obsolete information.
  * Remove cruft d/po/*.
  * d/changelog: lintian-brush cleanup long lines and days of the week.

 -- Mark Hindley <leepen@debian.org>  Tue, 22 Feb 2022 10:31:29 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 12),
  po-debconf,
 Standards-Version: 4.6.0
-Homepage: http://savannah.nongnu.org/projects/sysvinit
+Homepage: https://github.com/slicer69/insserv
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git

## insserv 1.26.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.24.0
+VERSION	 =	1.26.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 PREFIX   ?=	/usr
@@ -51,7 +51,7 @@
 ifdef WANT_SYSTEMD
 	   LIBS += $(shell pkg-config --libs dbus-1)
 endif
-	     CC ?= gcc
+	     CC ?= clang
 	     RM = rm -f
 	  MKDIR = mkdir -p
 	  RMDIR = rm -rf

=== debian/changelog ===
insserv (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
    - includes manpage updates (Closes: #1087352)
  * Drop patch fixed upstream.

 -- Mark Hindley <leepen@debian.org>  Mon, 23 Dec 2024 07:29:26 +0000

insserv (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0
  * d/patches: drop patch fixed upstream.

 -- Mark Hindley <leepen@debian.org>  Wed, 21 Aug 2024 18:09:48 +0100

insserv (1.24.0-4) unstable; urgency=medium

  * Add patch to identify openrc-run scripts with merged-/usr shebang.

 -- Mark Hindley <leepen@debian.org>  Thu, 01 Aug 2024 20:59:32 +0100

insserv (1.24.0-3) unstable; urgency=medium

  * d/control: bump standards version (no changes).
  * debian/patches/install-binaries-ignore-PREFIX.patch: drop to move
    files in aliased locations to /usr.  (Closes: #1073634)
  * d/t/control: fix typo.
  * d/t/upstream: use canonical path.

 -- Mark Hindley <leepen@debian.org>  Tue, 18 Jun 2024 14:28:09 +0100

insserv (1.24.0-2) unstable; urgency=medium

  [ Mark Hindley ]
  * Drop Petter Reinholdtsen from uploaders with thanks.
  * Update standards version to 4.6.2 (no changes).
  * d/postinst: add patch from josch@debian.org to support DPKG_ROOT.
    (Closes: #1056176)
  * d/t/control: mark upstream tests as flaky (See #1052942).
  * Ignore flaky upstream testsuite failures, pending upstream fix.
    (Closes: #1052942)

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Repository-Browse.

 -- Mark Hindley <leepen@debian.org>  Wed, 10 Jan 2024 16:35:21 +0000

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
https://github.com/slicer69/insserv/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## insserv 1.27.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.26.0
+VERSION	 =	1.27.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 PREFIX   ?=	/usr

=== debian/changelog ===
insserv (1.27.0-1) unstable; urgency=medium

  * New upstream version 1.27.0
    - includes fix for FTBFS with gcc-15 (Closes: #1096840)
  * d/control:
    - remove obsolete Suggests: bootchart2.
    - bump Standards Version (no changes).
  * debian/: update URLs following upstream migration to codeberg.
  * d/watch: simplify with uscan @@ predefines.
  * Refresh patches.

 -- Mark Hindley <leepen@debian.org>  Mon, 15 Sep 2025 17:47:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
- Petter Reinholdtsen <pere@debian.org>,
  Mark Hindley <leepen@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  po-debconf,
-Standards-Version: 4.6.0
-Homepage: https://github.com/slicer69/insserv
+Standards-Version: 4.7.2
+Homepage: https://codeberg.org/thejessesmith/insserv
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git
 
@@ -19,8 +18,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Suggests:
- bootchart2,
 Breaks:
  sysv-rc (<< 2.87dsf-3),
 Description: boot sequence organizer using LSB init.d script dependency information

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,10 @@
 export CFLAGS  += $(shell getconf LFS_CFLAGS)
 export LDFLAGS += $(shell getconf LFS_LDFLAGS)
 
+# Upstream build system does not respect $(CPPFLAGS), it has its own
+# conventions.
+export COPTS = $(CFLAGS) $(CPPFLAGS)
+
 %:
+	echo $(CFLAGS)
 	dh $@ --with=bash-completion

=== debian/tests/control ===
Tests: upstream
Restrictions: flaky

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://codeberg.org/thejessesmith/insserv/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
